> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/integration-mode/rest-api/aml/sanction-lists.md).

# Sanction Lists

<details>

<summary>Verify if a name is present on a sanction list</summary>

<mark style="background-color:green;">GET /search/sanctioned-person</mark>&#x20;

**Headers**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

**Request Body : N/A**

**Query Param**:&#x20;

* personName: string (example: Cyril Ramaphosa)

**Responses**

* **OK**

  * Code : 200
  * Body: this represent a list of person on sanction lists matching the provided personName

  ```json
  [
    {
      "id": "string",
      "score": 0,
      "sourceId": 0,
      "authority": "string",
      "libelle": "string",
      "relatedEntity": "string",
      "entityType": "string",
      "type": "string",
      "firstname": "string",
      "dateOfBirth": "string",
      "placeOfBirth": "string",
      "nationality": "string",
      "countryAuthority": "string",
      "logoAuthority": "string",
      "sanctionListName": "string",
      "sanctions": "string",
      "listType": "string",
      "listedOn": "string",
      "updateDate": "string",
      "complementaryInformation": "string",
      "grounds": "string",
      "category": "string",
      "description": "string",
      "source": "string"
    }
  ]
  ```
* **UnAuthorized**
* **Bad Request**

</details>
